#!/bin/sh

### BEGIN INIT INFO
# Provides:		linuxlogo
# Required-Start:	$local_fs
# Required-Stop:	$local_fs
# Should-Start:
# Should-Stop:
# Default-Start:	2 3 4 5
# Default-Stop:		0 1 6
# Short-Description:	Color ANSI System Logo
# Description:		Debian init script for linuxlogo
### END INIT INFO

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

DAEMON=/usr/bin/linux_logo
NAME=linuxlogo
DESC="system logo"

test -x "${DAEMON}" || exit 0

. /lib/lsb/init-functions

set -e

case "${1}" in
	start|restart|reload|force-reload)
		log_action_begin_msg "Updating the ${DESC}"

		"${DAEMON}" -f > /etc/issue.linuxlogo
		"${DAEMON}" -a -f > /etc/issue.linuxlogo.ascii

		for FILE in /etc/issue.linuxlogo /etc/issue.linuxlogo.ascii
		do
			printf "\n\n" >> "${FILE}"
			cat /etc/issue >> "${FILE}"
		done

		log_action_end_msg 0
		;;

	stop|force-stop)

		;;

	display)
		"${DAEMON}"

		echo
		echo "Press any key to exit..."

		read ANYKEY
		;;

	*)
		echo "Usage: ${NAME} {start|restart|reload|force-reload|stop|force-stop|display}"
		exit 1
		;;
esac

exit 0
